Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thinger.io.conduits
Interface PullDrainContainer

All Superinterfaces:
  PullDrain

All Known Implementing Classes:
  BasicPullDrainContainer

    public interface PullDrainContainer

extends PullDrain

A Conduit drain container interface for a poller. This is the interface that the Conduit uses. The container manages threading, queuing, etc. The end user might only use the PullDrain interface.

Version:
  1.0

  Version History

       EPG - Adapted from autohit - 29 JUN 05
       EPG - Switch from Nubblet to Data type - 1 SEP 05

Author:
  Erich P. Gatejen

Method Summary
`boolean` | `isDrained(Data n)` Tell if a Data has drained.
`Receipt` | `postListener(Data n)` Listen for a post.
`void` | `waitForDrain()` Wait for a drain.

Methods inherited from interface things.thinger.io.conduits.PullDrain
`init, poll, waitItem`

Method Detail

### postListener

    Receipt postListener(Data n)
                         throws SystemException

  Listen for a post. Consumers should implement this.

  Parameters:
    `n` - The Data to post.
  Returns:
    a receipt
  Throws:
    `SystemException`
  See Also:
    `Data`

### isDrained

    boolean isDrained(Data n)
                      throws SystemException

  Tell if a Data has drained. If the Data was never posted, it will treat it as it was drained.

  Parameters:
    `n` - The Data to check.
  Returns:
    true if it is drained (or never was sent), otherwise false.
  Throws:
    `SystemException`
  See Also:
    `Data`

### waitForDrain

    void waitForDrain()

  Wait for a drain. If there are no pending drains, it'll immediately return.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.